## org.eclipse.datatools.connectivity
Class ConnectionProfileException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.datatools.connectivity.ConnectionProfileException

All Implemented Interfaces:
  java.io.Serializable

    public class ConnectionProfileException

extends java.lang.Exception

Base exception type for connection profile operations.

Author:
  rcernich Created on Jan 15, 2004
See Also:
  Serialized Form

Constructor Summary
`ConnectionProfileException()`
`ConnectionProfileException(java.lang.String message)`
`ConnectionProfileException(java.lang.String message, java.lang.Throwable cause)`
`ConnectionProfileException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionProfileException

    public ConnectionProfileException()

### ConnectionProfileException

    public ConnectionProfileException(java.lang.String message)

Parameters:
  `message` -

### ConnectionProfileException

    public ConnectionProfileException(java.lang.String message,
                                      java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

### ConnectionProfileException

    public ConnectionProfileException(java.lang.Throwable cause)

Parameters:
  `cause` -